org.apache.struts2.jasper.runtime

## Class JspFactoryImpl

- java.lang.Object
- - javax.servlet.jsp.JspFactory
  - - org.apache.struts2.jasper.runtime.JspFactoryImpl

-     public class JspFactoryImpl
      extends javax.servlet.jsp.JspFactory

  Implementation of JspFactory.
  Author:
    Anil K. Vijendran

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `JspFactoryImpl.PageContextPool`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `org.apache.jasper.runtime.JspFactoryImpl` | `jasperFactoryImpl`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JspFactoryImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.servlet.jsp.JspEngineInfo` | `getEngineInfo()`
    `javax.servlet.jsp.JspApplicationContext` | `getJspApplicationContext(javax.servlet.ServletContext context)`
    `javax.servlet.jsp.PageContext` | `getPageContext(javax.servlet.Servlet servlet, javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, String errorPageURL, boolean needsSession, int bufferSize, boolean autoflush)`
    `void` | `releasePageContext(javax.servlet.jsp.PageContext pc)`

    - ### Methods inherited from class javax.servlet.jsp.JspFactory

      `getDefaultFactory, setDefaultFactory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### jasperFactoryImpl

          public org.apache.jasper.runtime.JspFactoryImpl jasperFactoryImpl

  - ### Constructor Detail

    - #### JspFactoryImpl

          public JspFactoryImpl()

  - ### Method Detail

    - #### getPageContext

          public javax.servlet.jsp.PageContext getPageContext(javax.servlet.Servlet servlet,
                                                              javax.servlet.ServletRequest request,
                                                              javax.servlet.ServletResponse response,
                                                              String errorPageURL,
                                                              boolean needsSession,
                                                              int bufferSize,
                                                              boolean autoflush)

      Specified by:
        `getPageContext` in class `javax.servlet.jsp.JspFactory`

    - #### releasePageContext

          public void releasePageContext(javax.servlet.jsp.PageContext pc)

      Specified by:
        `releasePageContext` in class `javax.servlet.jsp.JspFactory`

    - #### getEngineInfo

          public javax.servlet.jsp.JspEngineInfo getEngineInfo()

      Specified by:
        `getEngineInfo` in class `javax.servlet.jsp.JspFactory`

    - #### getJspApplicationContext

          public javax.servlet.jsp.JspApplicationContext getJspApplicationContext(javax.servlet.ServletContext context)

      Specified by:
        `getJspApplicationContext` in class `javax.servlet.jsp.JspFactory`

Copyright © 2000–2024 Apache Software Foundation. All rights reserved.